# Boost Exception

## boost/exception/exception.hpp

### Synopsis

    namespace
    boost
        {
        class
        exception
            {
            protected:

            exception();
            exception( exception const & x );
            ~exception();
            };

        template <class Tag,class T>
        class error_info;

        typedef error_info<struct tag_throw_function,char const *> throw_function;
        typedef error_info<struct tag_throw_file,char const *> throw_file;
        typedef error_info<struct tag_throw_line,int> throw_line;
        }

### See Also:

BOOST_THROW_EXCEPTION
Boost Exception
boost/exception.hpp
boost/exception/enable_current_exception.hpp
boost/exception/enable_error_info.hpp
boost/exception/info.hpp
boost/exception_ptr.hpp
exception